> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Holdings

> Retrieve portfolio holdings disclosed by institutional funds in their SEC 13F filings. This dataset provides an overview of a fund’s positions, including the total number of holdings, overall portfolio size, and high-level summaries such as top holdings and allocation trends. It also allows retrieval of the top buys and sells for a fund or fund manager, either for the latest portfolio or for historical quarters. Sector composition of the fund’s portfolio can also be accessed.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/holdings/funds/stocks/
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/holdings/funds/stocks/:
    post:
      tags:
        - Fund Holdings
      summary: Fund Holdings
      description: >-
        Retrieve portfolio holdings disclosed by institutional funds in their
        SEC 13F filings. This dataset provides an overview of a fund’s
        positions, including the total number of holdings, overall portfolio
        size, and high-level summaries such as top holdings and allocation
        trends. It also allows retrieval of the top buys and sells for a fund or
        fund manager, either for the latest portfolio or for historical
        quarters. Sector composition of the fund’s portfolio can also be
        accessed.
      operationId: Holdings_v1_holdings_funds_stocks_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicGetHoldingsOverviewQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetHoldingsOverviewResponse'
components:
  schemas:
    PublicGetHoldingsOverviewQuery:
      properties:
        identifier:
          type: object
          required:
            - type
            - value
          properties:
            type:
              $ref: '#/components/schemas/IdentifierType'
              description: >-
                Object specifying which identifier you are using to request the
                fund holdings. You must supply one type and its corresponding
                value.
              examples:
                - rp_entity_id
            value:
              type: string
              title: Value
              description: >-
                Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
                uniquely reference entities such as asset managers and funds.
                This identifier is a 6-character alphanumeric code (letters and
                numbers only). Example: BlackRock Inc. (`HJ95FV`)
              examples:
                - HJ95FV
          description: >-
            Object specifying which identifier you are using to request the fund
            holdings. You must supply one type and its corresponding value.
          examples:
            - type: rp_entity_id
              value: HJ95FV
        filters:
          anyOf:
            - $ref: '#/components/schemas/HoldingsOverviewFilters'
            - type: 'null'
          description: Filters specifying fiscal year and quarter
          examples:
            - quarter: 1
              year: 2025
      type: object
      required:
        - identifier
      title: PublicGetHoldingsOverviewQuery
    PublicGetHoldingsOverviewResponse:
      properties:
        results:
          anyOf:
            - $ref: '#/components/schemas/PublicGetHoldingsOverviewResult'
            - $ref: '#/components/schemas/EmptyResponse'
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          $ref: '#/components/schemas/PublicHoldingsRequestMetadata'
      type: object
      required:
        - results
        - metadata
      title: PublicGetHoldingsOverviewResponse
      examples:
        - metadata:
            fiscal_quarter: 1
            fiscal_year: 2025
            fund_name: blackrock
            request_id: 123e4567-e89b-12d3-a456-426614174000
            rp_entity_id: HJ95FV
            timestamp: '2025-09-08T10:52:33.453834+00:00'
          result:
            aum: 258701144516
            aum_change: -8474329733
            aum_change_percent: -3.17
            aum_last: 267175474249
            aum_top_10: 230290501421
            aum_top_10_as_percent_of_aum: 89.02
            capital_flow: -2425356131
            capital_flow_as_percent_of_aum: -0.94
            closed_positions: 2
            closed_positions_change: -1
            closed_positions_last: 3
            etfs_percent: 0
            holdings:
              - active: true
                capital_flow: -438699
                market_value: 5611125
                name: Apple
                portfolio_weight: 4.8588
                rank: 1
                rp_entity_id: D8442A
                shares: 25261
                shares_change: -1975
                shares_change_percent: -7.25
                shares_last: 27236
                status: reduced
                ticker: AAPL
            holdings_change: -3
            holdings_count: 38
            holdings_last: 41
            increased_positions: 7
            increased_positions_change: 2
            increased_positions_last: 5
            new_positions: 0
            new_positions_change: -1
            new_positions_last: 1
            quarter_return: -1.28
            reduced_positions: 6
            reduced_positions_change: -2
            reduced_positions_last: 8
            sector_composition:
              - percent: 22.92
                sector:
                  id: technology
                  name: Technology
              - percent: 13.96
                sector:
                  id: healthcare
                  name: Healthcare
              - percent: 12.19
                sector:
                  id: financials
                  name: Financials
            top_transactions:
              buys:
                - active: true
                  capital_flow: 4837420529
                  market_value: 10840506706
                  name: Capital One
                  portfolio_weight: 0.2064
                  rank: 1
                  rp_entity_id: '055018'
                  shares: 50951808
                  shares_change: 22736513
                  shares_change_percent: 80.58
                  shares_last: 28215295
                  status: increased
                  ticker: COF
              sells:
                - active: false
                  capital_flow: -3514847631
                  market_value: 0
                  name: Discover Financial Services
                  portfolio_weight: 0
                  rank: 1
                  rp_entity_id: A8CBDA
                  shares: 0
                  shares_change: -20590789
                  shares_change_percent: -100
                  shares_last: 20590789
                  status: closed
                  ticker: DFS
            turnover_percent: 5.26
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
    HoldingsOverviewFilters:
      properties:
        year:
          type: integer
          title: Year
          description: Fiscal year for the holdings data
          examples:
            - 2025
        quarter:
          $ref: '#/components/schemas/Quarters'
          description: Fiscal quarter for the holdings data
          examples:
            - 1
      type: object
      required:
        - year
        - quarter
      title: HoldingsOverviewFilters
    PublicGetHoldingsOverviewResult:
      properties:
        holdings:
          items:
            $ref: '#/components/schemas/PublicHolding'
          type: array
          title: Holdings
          description: List of holdings in the portfolio.
        quarter_return:
          anyOf:
            - type: number
            - type: 'null'
          title: Quarter Return
          description: The quarter return percentage.
        aum:
          anyOf:
            - type: integer
            - type: 'null'
          title: Aum
          description: Assets under management.
        aum_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Aum Last
          description: Assets under management in the last period.
        aum_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Aum Change
          description: Change in assets under management.
        aum_change_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Aum Change Percent
          description: Percentage change in assets under management.
        aum_top_10:
          anyOf:
            - type: integer
            - type: 'null'
          title: Aum Top 10
          description: Assets under management in top 10 holdings.
        aum_top_10_as_percent_of_aum:
          anyOf:
            - type: number
            - type: 'null'
          title: Aum Top 10 As Percent Of Aum
          description: Top 10 holdings as percentage of total AUM.
        capital_flow:
          anyOf:
            - type: integer
            - type: 'null'
          title: Capital Flow
          description: Capital flow amount.
        capital_flow_as_percent_of_aum:
          anyOf:
            - type: number
            - type: 'null'
          title: Capital Flow As Percent Of Aum
          description: Capital flow as percentage of AUM.
        etfs_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Etfs Percent
          description: Percentage of portfolio in ETFs.
        turnover_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Turnover Percent
          description: Portfolio turnover percentage.
        holdings_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Holdings Count
          description: Number of holdings.
        holdings_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Holdings Last
          description: Number of holdings in the last period.
        holdings_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Holdings Change
          description: Change in number of holdings.
        new_positions:
          anyOf:
            - type: integer
            - type: 'null'
          title: New Positions
          description: Number of new positions.
        new_positions_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: New Positions Last
          description: Number of new positions in the last period.
        new_positions_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: New Positions Change
          description: Change in number of new positions.
        closed_positions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Closed Positions
          description: Number of closed positions.
        closed_positions_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Closed Positions Last
          description: Number of closed positions in the last period.
        closed_positions_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Closed Positions Change
          description: Change in number of closed positions.
        increased_positions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Increased Positions
          description: Number of increased positions.
        increased_positions_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Increased Positions Last
          description: Number of increased positions in the last period.
        increased_positions_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Increased Positions Change
          description: Change in number of increased positions.
        reduced_positions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reduced Positions
          description: Number of reduced positions.
        reduced_positions_last:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reduced Positions Last
          description: Number of reduced positions in the last period.
        reduced_positions_change:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reduced Positions Change
          description: Change in number of reduced positions.
        sector_composition:
          anyOf:
            - items:
                $ref: '#/components/schemas/PublicSectorComposition'
              type: array
            - type: 'null'
          title: Sector Composition
          description: Sector composition breakdown of the portfolio.
        top_transactions:
          anyOf:
            - $ref: '#/components/schemas/PublicTopTransactions'
            - type: 'null'
          description: Top buys and sells transactions for the portfolio.
      type: object
      required:
        - holdings
      title: PublicGetHoldingsOverviewResult
      description: Result object containing holdings list and portfolio summary data.
    EmptyResponse:
      properties: {}
      type: object
      title: EmptyResponse
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    PublicHoldingsRequestMetadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
        rp_entity_id:
          anyOf:
            - type: string
              maxLength: 6
              minLength: 6
              description: >-
                Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
                uniquely reference entities such as companies. This identifier
                is a 6-character alphanumeric code (letters and numbers only).
                Example: Alphabet Inc. (`4A6F00`)
              examples:
                - 4A6F00
            - type: 'null'
          title: Rp Entity Id
          examples:
            - 4A6F00
        fund_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Fund Name
          examples:
            - stillwater-wealth-management-group
        fiscal_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fiscal Year
          examples:
            - 2025
        fiscal_quarter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Fiscal Quarter
          examples:
            - 1
      type: object
      required:
        - request_id
      title: PublicHoldingsRequestMetadata
      description: Metadata for the request. Includes the backend request.
    Quarters:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: Quarters
      description: Enum for quarters values.
    PublicHolding:
      properties:
        rank:
          type: integer
          title: Rank
          description: The rank of the holding in the portfolio.
        rp_entity_id:
          anyOf:
            - type: string
              maxLength: 6
              minLength: 6
            - type: 'null'
          title: Rp Entity Id
          description: RavenPack's internal entity identifier for the stock.
          examples:
            - 4A6F00
            - D8442A
        ticker:
          type: string
          title: Ticker
          description: The ticker symbol of the stock.
        name:
          type: string
          title: Name
          description: The name of the stock.
        active:
          type: boolean
          title: Active
          description: Whether the stock is active.
        market_value:
          anyOf:
            - type: integer
            - type: 'null'
          title: Market Value
          description: The market value of the holding.
        status:
          $ref: '#/components/schemas/HoldingStatus'
          description: The status of the holding.
        portfolio_weight:
          type: number
          title: Portfolio Weight
          description: The portfolio weight of the holding.
          default: 0
        shares:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Shares
          description: The number of shares held.
        shares_last:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Shares Last
          description: The number of shares held in the last period.
        shares_change:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Shares Change
          description: The change in the number of shares held.
        shares_change_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Shares Change Percent
          description: The percentage change in the number of shares held.
        capital_flow:
          anyOf:
            - type: integer
            - type: number
            - type: 'null'
          title: Capital Flow
          description: The capital flow of the holding.
      type: object
      required:
        - rank
        - rp_entity_id
        - ticker
        - name
        - active
        - status
      title: PublicHolding
      description: Model for a single holding in the portfolio.
    PublicSectorComposition:
      properties:
        sector:
          additionalProperties:
            type: string
          type: object
          title: Sector
          examples:
            - id: technology
              name: Technology
        percent:
          type: number
          title: Percent
          examples:
            - 22.92
      type: object
      required:
        - sector
        - percent
      title: PublicSectorComposition
    PublicTopTransactions:
      properties:
        buys:
          items:
            $ref: '#/components/schemas/PublicHolding'
          type: array
          title: Buys
          description: List of top buys.
        sells:
          items:
            $ref: '#/components/schemas/PublicHolding'
          type: array
          title: Sells
          description: List of top sells.
      type: object
      required:
        - buys
        - sells
      title: PublicTopTransactions
      description: Model for top buys and sells transactions.
    HoldingStatus:
      type: string
      enum:
        - new
        - increased
        - maintained
        - reduced
        - closed
      title: HoldingStatus
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````